{
    "$graph": [
        {
            "class": "Workflow",
            "inputs": [
                {
                    "type": "File",
                    "id": "#main/file1"
                }
            ],
            "requirements": [
                {
                    "class": "SubworkflowFeatureRequirement"
                }
            ],
            "steps": [
                {
                    "in": [
                        {
                            "source": "#main/file1",
                            "id": "#main/step0/file1"
                        }
                    ],
                    "out": [
                        "#main/step0/count_output"
                    ],
                    "run": {
                        "class": "Workflow",
                        "inputs": [
                            {
                                "type": "File",
                                "id": "#main/step0/0b268a88-3a43-4266-8d22-8db19a03c35b/file1"
                            }
                        ],
                        "outputs": [
                            {
                                "type": "int",
                                "outputSource": "#main/step0/0b268a88-3a43-4266-8d22-8db19a03c35b/step2/output",
                                "id": "#main/step0/0b268a88-3a43-4266-8d22-8db19a03c35b/count_output"
                            }
                        ],
                        "steps": [
                            {
                                "run": "#wc-tool.cwl",
                                "in": [
                                    {
                                        "source": "#main/step0/0b268a88-3a43-4266-8d22-8db19a03c35b/file1",
                                        "id": "#main/step0/0b268a88-3a43-4266-8d22-8db19a03c35b/step1/file1"
                                    }
                                ],
                                "out": [
                                    "#main/step0/0b268a88-3a43-4266-8d22-8db19a03c35b/step1/output"
                                ],
                                "id": "#main/step0/0b268a88-3a43-4266-8d22-8db19a03c35b/step1"
                            },
                            {
                                "run": "#parseInt-tool.cwl",
                                "in": [
                                    {
                                        "source": "#main/step0/0b268a88-3a43-4266-8d22-8db19a03c35b/step1/output",
                                        "id": "#main/step0/0b268a88-3a43-4266-8d22-8db19a03c35b/step2/file1"
                                    }
                                ],
                                "out": [
                                    "#main/step0/0b268a88-3a43-4266-8d22-8db19a03c35b/step2/output"
                                ],
                                "id": "#main/step0/0b268a88-3a43-4266-8d22-8db19a03c35b/step2"
                            }
                        ],
                        "id": "#main/step0/0b268a88-3a43-4266-8d22-8db19a03c35b"
                    },
                    "id": "#main/step0"
                }
            ],
            "id": "#main",
            "outputs": [
                {
                    "type": "int",
                    "outputSource": "#main/step0/count_output",
                    "id": "#main/count_output"
                }
            ]
        },
        {
            "class": "ExpressionTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "loadContents": true
                    },
                    "id": "#parseInt-tool.cwl/file1"
                }
            ],
            "outputs": [
                {
                    "type": "int",
                    "id": "#parseInt-tool.cwl/output"
                }
            ],
            "expression": "$({'output': parseInt(inputs.file1.contents)})",
            "id": "#parseInt-tool.cwl"
        },
        {
            "class": "CommandLineTool",
            "inputs": [
                {
                    "type": "File",
                    "id": "#wc-tool.cwl/file1"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "output"
                    },
                    "id": "#wc-tool.cwl/output"
                }
            ],
            "baseCommand": [
                "wc",
                "-l"
            ],
            "stdin": "$(inputs.file1.path)",
            "stdout": "output",
            "id": "#wc-tool.cwl"
        }
    ],
    "cwlVersion": "v1.0"
}
